Bug 172438 - [PATCH] net/xorp-devel: Converting port to new options framework
Summary: [PATCH] net/xorp-devel: Converting port to new options framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-07 05:20 UTC by Michael Gmelin
Modified: 2012-12-06 10:38 UTC (History)
0 users

See Also:


Attachments
xorp-devel-2009120801_1.patch (3.41 KB, patch)
2012-10-07 05:20 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2012-10-07 05:20:21 UTC
The patch below converts the port to use the new options framework[1]
and converts the Makefile header to the new format[2].

The patch is to be applied using:

patch -p0 -E </path/to/patchfile

No attempts have been made to fix any potential issues the port might
have beyond this scope. I also didn't fix any indentation issues to
keep the patch small and easy to audit, a future port maintainer might
want to take care of this.

See also:
1. http://lists.freebsd.org/pipermail/freebsd-ports/2012-October/078676.html
2. http://lists.freebsd.org/pipermail/freebsd-ports/2012-August/077801.html

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Rene Ladan freebsd_committer 2012-12-05 14:08:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Take
Comment 2 Rene Ladan freebsd_committer 2012-12-06 10:37:56 UTC
State Changed
From-To: open->closed

Committed with some more cleanups, thanks